Skip to main content
`Ctrl`+`K`

# BVSetRandomColumn

Set one column of a `BV` to random numbers.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetRandomColumn(BV bv,PetscInt j)

Logically Collective

## Input Parameters

- bv - basis vectors

- j - index of column to be set

## See Also

BV: Basis Vectors, `BVSetRandomContext()`, `BVSetRandom()`, `BVSetRandomNormal()`, `BVSetRandomCond()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvops.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages